#
# spec file for package fstransform
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fstransform
Version:        0.9.3
Release:        2.4
Summary:        In-place conversion between file system types
License:        GPL-3.0+
Group:          System/utilities
# Git-url:      https://github.com/cosmos72/fstransform
Url:            http://sourceforge.net/projects/fstransform/
Source:         http://sourceforge.net/projects/%{name}/files/%{name}-%{version}/%{name}-%{version}-src.tar.bz2
Patch0:         fstransform-0.9.3-fix-nonvoid-return.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
fstransform is a tool to change a file-system from one format to another,
for example from jfs/xfs/reiser to ext2/ext3/ext4, in-place.

%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING AUTHORS TODO
%{_sbindir}/fsmove
%{_sbindir}/fsremap
%{_sbindir}/fstransform

%changelog
* Mon Oct 12 2015 astieger@suse.com
- initial package
